diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/lollipop-counter.h ns-3.44/src/network/utils/lollipop-counter.h
--- ns-3.43/src/network/utils/lollipop-counter.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/lollipop-counter.h	2025-03-09 16:55:49.679372300 -0700
@@ -17,10 +17,10 @@
 {
 
 /**
- * \ingroup seq-counters
- * \class LollipopCounter
+ * @ingroup seq-counters
+ * @class LollipopCounter
  *
- * \brief Template class implementing a Lollipop counter as defined in \RFC{8505}, \RFC{6550}, and
+ * @brief Template class implementing a Lollipop counter as defined in \RFC{8505}, \RFC{6550}, and
  * [Perlman83].
  *
  * A Lollipop counter is a counter that solves initialization and
@@ -50,7 +50,7 @@
  * Computer Networks 7: pp. 395-405, DOI 10.1016/0376-5075(83)90034-X, 1983,
  * <https://web.archive.org/web/20180723135334/http://pbg.cs.illinois.edu/courses/cs598fa09/readings/p83.pdf>.
  *
- * \tparam T \explicit The type being used for the counter.
+ * @tparam T \explicit The type being used for the counter.
  */
 template <class T>
 class LollipopCounter
@@ -64,7 +64,7 @@
      */
     LollipopCounter()
     {
-        NS_ABORT_MSG_UNLESS(std::is_unsigned<T>::value,
+        NS_ABORT_MSG_UNLESS(std::is_unsigned_v<T>,
                             "Lollipop counters must be defined on unsigned integer types");
 
         uint16_t numberofDigits = std::numeric_limits<T>::digits;
@@ -78,8 +78,8 @@
      *
      * The Sequence Window is set to the default value.
      *
-     * \param val the initial value of the Lollipop Counter
-     * \tparam T \deduced The type being used for the counter.
+     * @param val the initial value of the Lollipop Counter
+     * @tparam T \deduced The type being used for the counter.
      */
     LollipopCounter(T val)
     {
@@ -92,8 +92,8 @@
     /**
      * Assignment.
      *
-     * \param [in] o Value to assign to this LollipopCounter.
-     * \returns This LollipopCounter.
+     * @param [in] o Value to assign to this LollipopCounter.
+     * @returns This LollipopCounter.
      */
     inline LollipopCounter& operator=(const LollipopCounter& o)
     {
@@ -116,7 +116,7 @@
      * The counter is reset to maxValue - m_sequenceWindow +1, where
      * maxValue is the maximum number allowed by the underlying type.
      *
-     * \param numberOfBits number of bits to use in the Sequence Window
+     * @param numberOfBits number of bits to use in the Sequence Window
      */
     void SetSequenceWindowSize(uint16_t numberOfBits)
     {
@@ -143,8 +143,8 @@
      * Sequence Window is equal to 2^N where N is (by default) half the number
      * of digits of the underlying type.
      *
-     * \param val counter to compare
-     * \returns true if the counters are comparable.
+     * @param val counter to compare
+     * @returns true if the counters are comparable.
      */
     bool IsComparable(const LollipopCounter& val) const
     {
@@ -167,7 +167,7 @@
     /**
      * Checks if a counter is in its starting region.
      *
-     * \returns true if a counter is in its starting region.
+     * @returns true if a counter is in its starting region.
      */
     bool IsInit() const
     {
@@ -176,9 +176,9 @@
 
     /**
      * Arithmetic operator equal-to
-     * \param [in] lhs Left hand argument
-     * \param [in] rhs Right hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @param [in] rhs Right hand argument
+     * @return The result of the operator.
      */
     friend bool operator==(const LollipopCounter& lhs, const LollipopCounter& rhs)
     {
@@ -190,9 +190,9 @@
 
     /**
      * Arithmetic operator greater-than
-     * \param [in] lhs Left hand argument
-     * \param [in] rhs Right hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @param [in] rhs Right hand argument
+     * @return The result of the operator.
      */
     friend bool operator>(const LollipopCounter& lhs, const LollipopCounter& rhs)
     {
@@ -257,9 +257,9 @@
 
     /**
      * Arithmetic operator less-than
-     * \param [in] lhs Left hand argument
-     * \param [in] rhs Right hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @param [in] rhs Right hand argument
+     * @return The result of the operator.
      */
     friend bool operator<(const LollipopCounter& lhs, const LollipopCounter& rhs)
     {
@@ -278,14 +278,14 @@
 
     /**
      * Prefix increment operator
-     * \param [in] val LollipopCounter to be incremented
-     * \return The result of the Prefix increment.
+     * @param [in] val LollipopCounter to be incremented
+     * @return The result of the Prefix increment.
      */
     friend LollipopCounter operator++(LollipopCounter& val) // prefix ++
     {
         val.m_value++;
 
-        if (val.m_value == val.m_circularRegion + 1)
+        if (val.m_value == m_circularRegion + 1)
         {
             val.m_value = 0;
         }
@@ -295,9 +295,9 @@
 
     /**
      * Postfix increment operator
-     * \param [in] val LollipopCounter to be incremented
-     * \param [in] noop ignored argument (used to mark it as a postfix, blame c++).
-     * \return The result of the Postfix increment.
+     * @param [in] val LollipopCounter to be incremented
+     * @param [in] noop ignored argument (used to mark it as a postfix, blame c++).
+     * @return The result of the Postfix increment.
      */
     friend LollipopCounter operator++(LollipopCounter& val, int noop) // postfix ++
     {
@@ -309,7 +309,7 @@
     /**
      * Get the counter value.
      *
-     * \return the counter value.
+     * @return the counter value.
      */
     T GetValue() const
     {
@@ -319,9 +319,9 @@
     /**
      * Output streamer for LollipopCounter.
      *
-     * \param [in,out] os The output stream.
-     * \param [in] counter The LollipopCounter to print.
-     * \returns The stream.
+     * @param [in,out] os The output stream.
+     * @param [in] counter The LollipopCounter to print.
+     * @returns The stream.
      */
     friend std::ostream& operator<<(std::ostream& os, const LollipopCounter& counter)
     {
@@ -338,8 +338,8 @@
      * the smallest circular distance between two numbers.
      *
      * Arithmetic operator.
-     * \param [in] val Counter to compute the difference against
-     * \return The result of the difference.
+     * @param [in] val Counter to compute the difference against
+     * @return The result of the difference.
      */
     T AbsoluteMagnitudeOfDifference(const LollipopCounter& val) const
     {
@@ -365,12 +365,12 @@
 };
 
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  * 8 bit Lollipop Counter.
  */
 typedef LollipopCounter<uint8_t> LollipopCounter8;
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  * 16 bit Lollipop Counter.
  */
 typedef LollipopCounter<uint16_t> LollipopCounter16;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/mac16-address.h ns-3.44/src/network/utils/mac16-address.h
--- ns-3.43/src/network/utils/mac16-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/mac16-address.h	2025-03-09 16:55:49.679372300 -0700
@@ -23,54 +23,54 @@
 class Address;
 
 /**
- * \ingroup address
+ * @ingroup address
  *
  * This class can contain 16 bit addresses.
  *
- * \see attribute_Mac16Address
+ * @see attribute_Mac16Address
  */
 class Mac16Address
 {
   public:
     Mac16Address() = default;
     /**
-     * \param str a string representing the new Mac16Address
+     * @param str a string representing the new Mac16Address
      *
      * The format of the string is "xx:xx"
      */
     Mac16Address(const char* str);
 
     /**
-     * \param addr The 16 bit unsigned integer used to create a Mac16Address object.
+     * @param addr The 16 bit unsigned integer used to create a Mac16Address object.
      *
      * Create a Mac16Address from an 16 bit unsigned integer.
      */
     Mac16Address(uint16_t addr);
 
     /**
-     * \param buffer address in network order
+     * @param buffer address in network order
      *
      * Copy the input address to our internal buffer.
      */
     void CopyFrom(const uint8_t buffer[2]);
 
     /**
-     * \param buffer address in network order
+     * @param buffer address in network order
      *
      * Copy the internal address to the input buffer.
      */
     void CopyTo(uint8_t buffer[2]) const;
 
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     operator Address() const;
 
     /**
-     * \param address a polymorphic address
-     * \returns a new Mac16Address from the polymorphic address
+     * @param address a polymorphic address
+     * @returns a new Mac16Address from the polymorphic address
      *
      * This function performs a type check and asserts if the
      * type of the input address is not compatible with an
@@ -79,28 +79,28 @@
     static Mac16Address ConvertFrom(const Address& address);
 
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     Address ConvertTo() const;
 
     /**
-     * \return the mac address in a 16 bit unsigned integer
+     * @return the mac address in a 16 bit unsigned integer
      *
      * Convert an instance of this class to a 16 bit unsigned integer.
      */
     uint16_t ConvertToInt() const;
 
     /**
-     * \param address address to test
-     * \returns true if the address matches, false otherwise.
+     * @param address address to test
+     * @returns true if the address matches, false otherwise.
      */
     static bool IsMatchingType(const Address& address);
 
     /**
      * Allocate a new Mac16Address.
-     * \returns newly allocated mac16Address
+     * @returns newly allocated mac16Address
      */
     static Mac16Address Allocate();
 
@@ -110,9 +110,9 @@
      * This function resets (to zero) the global integer
      * that is used for unique address allocation.
      * It is automatically called whenever
-     * \code
+     * @code
      * SimulatorDestroy ();
-     * \endcode
+     * @endcode
      * is called.  It may also be optionally called
      * by user code if there is a need to force a reset
      * of this allocation index.
@@ -120,7 +120,7 @@
     static void ResetAllocationIndex();
 
     /**
-     * \returns the broadcast address (0xFFFF)
+     * @returns the broadcast address (0xFFFF)
      */
     static Mac16Address GetBroadcast();
 
@@ -143,8 +143,8 @@
      * bits 3-7 within DST[15].  The initial 3-bit pattern of "100" follows
      * the 16-bit address format for multicast addresses (Section 12).
      *
-     * \param address base IPv6 address
-     * \returns the multicast 16-bit address.
+     * @param address base IPv6 address
+     * @returns the multicast 16-bit address.
      */
 
     static Mac16Address GetMulticast(Ipv6Address address);
@@ -153,7 +153,7 @@
      * Checks if the address is a broadcast address according
      * to 802.15.4 scheme (i.e., 0xFFFF).
      *
-     * \returns true if the address is 0xFFFF
+     * @returns true if the address is 0xFFFF
      */
     bool IsBroadcast() const;
 
@@ -161,59 +161,59 @@
      * Checks if the address is a multicast address according
      * to RFC 4944 Section 9 (i.e., if its first 3 bits are 100).
      *
-     * \returns true if the address is in the range 0x8000 - 0x9FFF
+     * @returns true if the address is in the range 0x8000 - 0x9FFF
      */
     bool IsMulticast() const;
 
   private:
     /**
-     * \brief Return the Type of address.
-     * \return type of address
+     * @brief Return the Type of address.
+     * @return type of address
      */
     static uint8_t GetType();
 
     /**
-     * \brief Equal to operator.
+     * @brief Equal to operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operands are equal
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operands are equal
      */
     friend bool operator==(const Mac16Address& a, const Mac16Address& b);
 
     /**
-     * \brief Not equal to operator.
+     * @brief Not equal to operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operands are not equal
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operands are not equal
      */
     friend bool operator!=(const Mac16Address& a, const Mac16Address& b);
 
     /**
-     * \brief Less than operator.
+     * @brief Less than operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operand a is less than operand b
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operand a is less than operand b
      */
     friend bool operator<(const Mac16Address& a, const Mac16Address& b);
 
     /**
-     * \brief Stream insertion operator.
+     * @brief Stream insertion operator.
      *
-     * \param os the stream
-     * \param address the address
-     * \returns a reference to the stream
+     * @param os the stream
+     * @param address the address
+     * @returns a reference to the stream
      */
     friend std::ostream& operator<<(std::ostream& os, const Mac16Address& address);
 
     /**
-     * \brief Stream extraction operator.
+     * @brief Stream extraction operator.
      *
-     * \param is the stream
-     * \param address the address
-     * \returns a reference to the stream
+     * @param is the stream
+     * @param address the address
+     * @returns a reference to the stream
      */
     friend std::istream& operator>>(std::istream& is, Mac16Address& address);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/mac48-address.h ns-3.44/src/network/utils/mac48-address.h
--- ns-3.43/src/network/utils/mac48-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/mac48-address.h	2025-03-09 16:55:49.679372300 -0700
@@ -23,47 +23,47 @@
 class Address;
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief an EUI-48 address
+ * @brief an EUI-48 address
  *
  * This class can contain 48 bit IEEE addresses.
  *
- * \see attribute_Mac48Address
+ * @see attribute_Mac48Address
  */
 class Mac48Address
 {
   public:
     Mac48Address() = default;
     /**
-     * \param str a string representing the new Mac48Address
+     * @param str a string representing the new Mac48Address
      *
      * The format of the string is "xx:xx:xx:xx:xx:xx"
      */
     Mac48Address(const char* str);
 
     /**
-     * \param buffer address in network order
+     * @param buffer address in network order
      *
      * Copy the input address to our internal buffer.
      */
     void CopyFrom(const uint8_t buffer[6]);
     /**
-     * \param buffer address in network order
+     * @param buffer address in network order
      *
      * Copy the internal address to the input buffer.
      */
     void CopyTo(uint8_t buffer[6]) const;
 
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     operator Address() const;
     /**
-     * \param address a polymorphic address
-     * \returns a new Mac48Address from the polymorphic address
+     * @param address a polymorphic address
+     * @returns a new Mac48Address from the polymorphic address
      *
      * This function performs a type check and asserts if the
      * type of the input address is not compatible with an
@@ -71,20 +71,20 @@
      */
     static Mac48Address ConvertFrom(const Address& address);
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     Address ConvertTo() const;
 
     /**
-     * \param address address to test
-     * \returns true if the address matches, false otherwise.
+     * @param address address to test
+     * @returns true if the address matches, false otherwise.
      */
     static bool IsMatchingType(const Address& address);
     /**
      * Allocate a new Mac48Address.
-     * \returns newly allocated mac48Address
+     * @returns newly allocated mac48Address
      */
     static Mac48Address Allocate();
 
@@ -94,9 +94,9 @@
      * This function resets (to zero) the global integer
      * that is used for unique address allocation.
      * It is automatically called whenever
-     * \code
+     * @code
      * SimulatorDestroy ();
-     * \endcode
+     * @endcode
      * is called.  It may also be optionally called
      * by user code if there is a need to force a reset
      * of this allocation index.
@@ -104,100 +104,100 @@
     static void ResetAllocationIndex();
 
     /**
-     * \returns true if this is a broadcast address, false otherwise.
+     * @returns true if this is a broadcast address, false otherwise.
      */
     bool IsBroadcast() const;
 
     /**
-     * \returns true if the group bit is set, false otherwise.
+     * @returns true if the group bit is set, false otherwise.
      */
     bool IsGroup() const;
 
     /**
-     * \returns the broadcast address
+     * @returns the broadcast address
      */
     static Mac48Address GetBroadcast();
 
     /**
-     * \param address base IPv4 address
-     * \returns a multicast address
+     * @param address base IPv4 address
+     * @returns a multicast address
      */
     static Mac48Address GetMulticast(Ipv4Address address);
 
     /**
-     * \brief Get multicast address from IPv6 address.
-     * \param address base IPv6 address
-     * \returns a multicast address
+     * @brief Get multicast address from IPv6 address.
+     * @param address base IPv6 address
+     * @returns a multicast address
      */
     static Mac48Address GetMulticast(Ipv6Address address);
 
     /**
-     * \returns the multicast prefix (01:00:5e:00:00:00).
+     * @returns the multicast prefix (01:00:5e:00:00:00).
      */
     static Mac48Address GetMulticastPrefix();
 
     /**
-     * \brief Get the multicast prefix for IPv6 (33:33:00:00:00:00).
-     * \returns a multicast address.
+     * @brief Get the multicast prefix for IPv6 (33:33:00:00:00:00).
+     * @returns a multicast address.
      */
     static Mac48Address GetMulticast6Prefix();
 
     /**
      * TracedCallback signature for Mac48Address
      *
-     * \param [in] value Current value of the Mac48Address
+     * @param [in] value Current value of the Mac48Address
      */
     typedef void (*TracedCallback)(Mac48Address value);
 
   private:
     /**
-     * \brief Return the Type of address.
-     * \return type of address
+     * @brief Return the Type of address.
+     * @return type of address
      */
     static uint8_t GetType();
 
     /**
-     * \brief Equal to operator.
+     * @brief Equal to operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operands are equal
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operands are equal
      */
     friend bool operator==(const Mac48Address& a, const Mac48Address& b);
 
     /**
-     * \brief Not equal to operator.
+     * @brief Not equal to operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operands are not equal
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operands are not equal
      */
     friend bool operator!=(const Mac48Address& a, const Mac48Address& b);
 
     /**
-     * \brief Less than operator.
+     * @brief Less than operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operand a is less than operand b
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operand a is less than operand b
      */
     friend bool operator<(const Mac48Address& a, const Mac48Address& b);
 
     /**
-     * \brief Stream insertion operator.
+     * @brief Stream insertion operator.
      *
-     * \param os the stream
-     * \param address the address
-     * \returns a reference to the stream
+     * @param os the stream
+     * @param address the address
+     * @returns a reference to the stream
      */
     friend std::ostream& operator<<(std::ostream& os, const Mac48Address& address);
 
     /**
-     * \brief Stream extraction operator.
+     * @brief Stream extraction operator.
      *
-     * \param is the stream
-     * \param address the address
-     * \returns a reference to the stream
+     * @param is the stream
+     * @param address the address
+     * @returns a reference to the stream
      */
     friend std::istream& operator>>(std::istream& is, Mac48Address& address);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/mac64-address.h ns-3.44/src/network/utils/mac64-address.h
--- ns-3.43/src/network/utils/mac64-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/mac64-address.h	2025-03-09 16:55:49.679372300 -0700
@@ -23,53 +23,53 @@
 class Address;
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief an EUI-64 address
+ * @brief an EUI-64 address
  *
  * This class can contain 64 bit IEEE addresses.
  *
- * \see attribute_Mac64Address
+ * @see attribute_Mac64Address
  */
 class Mac64Address
 {
   public:
     Mac64Address() = default;
     /**
-     * \param str a string representing the new Mac64Address
+     * @param str a string representing the new Mac64Address
      *
      * The format of the string is "xx:xx:xx:xx:xx:xx:xx:xx"
      */
     Mac64Address(const char* str);
 
     /**
-     * \param addr The 64 bit unsigned integer used to create a Mac64Address object.
+     * @param addr The 64 bit unsigned integer used to create a Mac64Address object.
      *
      * Create a Mac64Address from an 64 bit unsigned integer.
      */
     Mac64Address(uint64_t addr);
 
     /**
-     * \param buffer address in network order
+     * @param buffer address in network order
      *
      * Copy the input address to our internal buffer.
      */
     void CopyFrom(const uint8_t buffer[8]);
     /**
-     * \param buffer address in network order
+     * @param buffer address in network order
      *
      * Copy the internal address to the input buffer.
      */
     void CopyTo(uint8_t buffer[8]) const;
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     operator Address() const;
     /**
-     * \param address a polymorphic address
-     * \returns a new Mac64Address from the polymorphic address
+     * @param address a polymorphic address
+     * @returns a new Mac64Address from the polymorphic address
      *
      * This function performs a type check and asserts if the
      * type of the input address is not compatible with an
@@ -77,27 +77,27 @@
      */
     static Mac64Address ConvertFrom(const Address& address);
     /**
-     * \returns a new Address instance
+     * @returns a new Address instance
      *
      * Convert an instance of this class to a polymorphic Address instance.
      */
     Address ConvertTo() const;
 
     /**
-     * \return the mac address in a 64 bit unsigned integer.
+     * @return the mac address in a 64 bit unsigned integer.
      *
      * Convert an instance of this class to a 64 bit unsigned integer.
      */
     uint64_t ConvertToInt() const;
 
     /**
-     * \param address address to test
-     * \returns true if the address matches, false otherwise.
+     * @param address address to test
+     * @returns true if the address matches, false otherwise.
      */
     static bool IsMatchingType(const Address& address);
     /**
      * Allocate a new Mac64Address.
-     * \returns newly allocated mac64Address
+     * @returns newly allocated mac64Address
      */
     static Mac64Address Allocate();
 
@@ -107,9 +107,9 @@
      * This function resets (to zero) the global integer
      * that is used for unique address allocation.
      * It is automatically called whenever
-     * \code
+     * @code
      * SimulatorDestroy ();
-     * \endcode
+     * @endcode
      * is called.  It may also be optionally called
      * by user code if there is a need to force a reset
      * of this allocation index.
@@ -118,53 +118,53 @@
 
   private:
     /**
-     * \brief Return the Type of address.
-     * \return type of address
+     * @brief Return the Type of address.
+     * @return type of address
      */
     static uint8_t GetType();
 
     /**
-     * \brief Equal to operator.
+     * @brief Equal to operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operands are equal
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operands are equal
      */
     friend bool operator==(const Mac64Address& a, const Mac64Address& b);
 
     /**
-     * \brief Not equal to operator.
+     * @brief Not equal to operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operands are not equal
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operands are not equal
      */
     friend bool operator!=(const Mac64Address& a, const Mac64Address& b);
 
     /**
-     * \brief Less than operator.
+     * @brief Less than operator.
      *
-     * \param a the first operand
-     * \param b the first operand
-     * \returns true if the operand a is less than operand b
+     * @param a the first operand
+     * @param b the first operand
+     * @returns true if the operand a is less than operand b
      */
     friend bool operator<(const Mac64Address& a, const Mac64Address& b);
 
     /**
-     * \brief Stream insertion operator.
+     * @brief Stream insertion operator.
      *
-     * \param os the stream
-     * \param address the address
-     * \returns a reference to the stream
+     * @param os the stream
+     * @param address the address
+     * @returns a reference to the stream
      */
     friend std::ostream& operator<<(std::ostream& os, const Mac64Address& address);
 
     /**
-     * \brief Stream extraction operator.
+     * @brief Stream extraction operator.
      *
-     * \param is the stream
-     * \param address the address
-     * \returns a reference to the stream
+     * @param is the stream
+     * @param address the address
+     * @returns a reference to the stream
      */
     friend std::istream& operator>>(std::istream& is, Mac64Address& address);
 
@@ -173,8 +173,8 @@
 };
 
 /**
- * \class ns3::Mac64AddressValue
- * \brief hold objects of type ns3::Mac64Address
+ * @class ns3::Mac64AddressValue
+ * @brief hold objects of type ns3::Mac64Address
  */
 
 ATTRIBUTE_HELPER_HEADER(Mac64Address);
